<?php
/**
 *  Dialog Box - jQuery style
 *
 * @author Luciana Bruscino
 * @license GPL
 */

?>
<script type="text/javascript">
  jQuery(document).ready(function(){
  jQuery( "#my-domain-list-make-offer-dialog:ui-dialog" ).dialog( "destroy" );
  var security = jQuery( "#myDomainListOfferSecurityAnswer" ),
  email = jQuery( "#myDomainListCustomerEmail" ),
  price = jQuery( "#myDomainListOfferedPrice" ),
  name = jQuery("#myDomainListDomainName"),
  comments = jQuery("#myDomainListComments"),
  currency= jQuery("#myDomainListOfferedPriceCurrency"),
  allFields = jQuery( [] ).add( name ).add( email ).add( price ).add( security ).add( comments ),
  tips = jQuery( ".myDocumentListUserMessage" );
  tips.text("");
  var commentsMaxCount = 250;
  
  comments.keyup(function()
	{
	var box=jQuery(this).val();
	var main = box.length *100;
	var value= (main / commentsMaxCount);
	var count= commentsMaxCount - box.length;

	if(box.length <= commentsMaxCount)
	{
		jQuery('#myDomainListCount').html(count);
	}
	return false;
  });


  function checkLength( o, n, min, max ) {

  if ( o.val().length > max || o.val().length < min ) {
			o.addClass( "ui-state-error" );
			updateTips( "Length of " + n + " must be between " +
				min + " and " + max + "." );
			return false;
		} else {
			return true;
		}
	}

	function checkSecurityQuestion(a, o, n){
		if(o.val() != (a.val()).substring(0, 1))
		{
			o.addClass( "ui-state-error" );
			updateTips( n );
			return false;
		}else{
			o.removeClass( "ui-state-error" );
			return true;
		}
	}
	
	function checkRegexp( o, regexp, n ) {
		if ( !( regexp.test( o.val() ) ) ) {
			o.addClass( "ui-state-error" );
			updateTips( n );
			return false;
		} else {
			return true;
		}
	}
	
	function updateTips( t ) {
		tips
			.text( t )
			.addClass( "ui-state-highlight" );
	}
	jQuery("#my-domain-list-make-offer-dialog" ).dialog({ 
	    autoOpen: false,
	    height: 430,
	    width: 330,
	    modal: false,
	    position: 'center',
	    buttons: {
	        "Make an Offer": function() {
	        	var bValid = true;
	jQuery("#my_domain_list-page-loading").show();
				allFields.removeClass( "ui-state-error" );
				
				bValid = bValid && checkLength( email, "email", 6, 80 );
				bValid = bValid && checkLength( price, "price", 1, 20 );
				//bValid = bValid && checkRegexp( security, /^[a-z]([0-9a-z_])+$/i, "Security answer may consist of a-z, 0-9, underscores, begin with a letter." );
				// From jquery.validate.js (by joern), contributed by Scott Gonzalez: http://projects.scottsplayground.com/email_address_validation/
				bValid = bValid && checkRegexp( email, /^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i, "eg. admin@mydomainlist.com" );
				bValid = bValid && checkRegexp( price, /^([0-9.])+$/, "Price field must be numeric" );
				bValid = bValid && checkSecurityQuestion( email, security, "Invalid Security Answer");
				
				if ( bValid ) {
					tips.text("");
					jQuery("#my_domain_list-page-loading").show(); 
					my_domain_list_make_offer({ 'name': name.val(), 'price': price.val(), 'email':email.val(), 'comments':comments.val(),'currency':currency.val() });
					jQuery( this ).dialog( "close" );	
				}
	        },
	        "Cancel": function() {
	            jQuery(this).dialog("close");
	        }
	    },
		close: function() {
			allFields.val( "" ).removeClass( "ui-state-error" );
		}                                          
	});//end dialog
	
	 jQuery(".myDomainListMakeOfferButton")
					.button()
					.click(function($) 			{                                     				                   
			 			
			jQuery("#myDomainListName" ).html("");
			     		jQuery("#myDomainListCurrentPrice" ).html("");
			            var o = (this.name).split("|");
			             jQuery("#myDomainListName" ).append(o[1]);
			             jQuery("#myDomainListDomainName" ).val(o[1]);
			             jQuery("#myDomainListCurrentPrice" ).append(o[0]);
			            jQuery( "#my-domain-list-make-offer-dialog" ).dialog( "open" );
			         });//end click   			
	});
	</script>
<div id="myDomainListDialogView">
	<div id="my-domain-list-make-offer-dialog" title="Make an Offer"
		style="display: none">
		<p>
			Please make a reasonable offer. Current set price for <span
				id="myDomainListName" class="myDomainListInline"></span> is $<span
				id="myDomainListCurrentPrice" class="myDomainListInline"></span> <span
				class="myDocumentListUserMessage"></span>
		</p>

		<form class="wrap" name="mydomainlistdialogform"
			id="mydomainlistdialogform" method="post" action="">
			<input type="hidden" name="myDomainListDomainName"
				id="myDomainListDomainName" />
			<p>
				<label for="myDomainListCustomerEmail">Email</label>: <input
					name="myDomainListCustomerEmail" size="30"
					id="myDomainListCustomerEmail"
					class="text ui-widget-content ui-corner-all">
			</p>
			<p>
				<span class="myDomainListText">What's your offer?</span> $<input
					size="7" maxlength="20" type="text" name="myDomainListOfferedPrice"
					id="myDomainListOfferedPrice"
					class="text ui-widget-content ui-corner-all" /> <select
					name="myDomainListOfferedPriceCurrency"
					id="myDomainListOfferedPriceCurrency" class="myDomainListInline">
					<option value="USD" selected>USD</option>
					<option value="EUR">EUR</option>
					<option value="GBP">GBP</option>
				</select>
			</p>
			<p>
				<label for="myDomainListComments">Comments</label>:<br>
				<textarea name="myDomainListComments" id="myDomainListComments"
					maxlength="250" cols="35" rows="3"></textarea>
			
			
			<div id="myDomainListCount">250</div>
			</p>
			<p>
				<span class="myDomainListSecurityQuestion">Security: 1st letter of
					your email:</span> <input size="2" type="text"
					id="myDomainListOfferSecurityAnswer"
					class="text ui-widget-content ui-corner-all" />
			</p>
		</form>
	</div>
</div>
